package test;

import java.util.Collection;
import java.util.HashSet;
import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.*;

public class NativeCapableTestApplet extends NativeCapableApplet {
	private static final long serialVersionUID = 1L;

	public void init() {
		NativeCapableModuleBuilder builder = new NativeCapableModuleBuilder(
				this, "test.NativeCapableTest");
		Collection<String> col = new HashSet<String>();
		col.add("javax.media.");
		col.add("com.sun.j3d.");
		col.add("com.sun.opengl.");
		col.add("com.sun.media.");
		col.add("jp.nyatla.");
		col.add("jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.");
		col.add("NativeCapableTestApplet");
		builder.setTargetPackages(col);
		builder.setDelegateTargets(false);
		NativeCapableModule module = builder.newModule();
		module.initModule();
		add(module.getRootComponent());
	}
}